Bug 587946 - [abrt] crash in pitivi-0.13.4-2.fc13: encode.py:62:_makeBin:LinkError: failed to link bin14 with ffenc_flashsv0
[abrt] crash in pitivi-0.13.4-2.fc13: encode.py:62:_makeBin:LinkError: failed...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pitivi (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
abrt_hash:44310f3d
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-01 13:04 EDT by Sergey Raspopov
Modified: 2011-06-27 12:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:00:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.85 KB, text/plain)
2010-05-01 13:04 EDT, Sergey Raspopov
no flags Details

  None (edit)
Description Sergey Raspopov 2010-05-01 13:04:17 EDT
abrt 1.0.9 detected a crash.

architecture: i686
cmdline: python /usr/bin/pitivi
component: pitivi
executable: /usr/bin/pitivi
kernel: 2.6.33.2-57.fc13.i686.PAE
package: pitivi-0.13.4-2.fc13
reason: encode.py:62:_makeBin:LinkError: failed to link bin14 with ffenc_flashsv0
release: Fedora release 13 (Goddard)

backtrace
-----
encode.py:62:_makeBin:LinkError: failed to link bin14 with ffenc_flashsv0

Traceback (most recent call last):
  File "/usr/share/pitivi/python/pitivi/ui/encodingdialog.py", line 142, in _recordButtonClickedCb
    self.addRecordAction()
  File "/usr/share/pitivi/python/pitivi/ui/encodingdialog.py", line 214, in addRecordAction
    self.renderaction.activate()
  File "/usr/share/pitivi/python/pitivi/action.py", line 119, in activate
    self._ensurePipelineObjects()
  File "/usr/share/pitivi/python/pitivi/action.py", line 567, in _ensurePipelineObjects
    self.pipeline.getBinForFactoryStream(producer, automake=True)
  File "/usr/share/pitivi/python/pitivi/pipeline.py", line 520, in getBinForFactoryStream
    bin = stream_entry.bin = factory.makeBin(stream)
  File "/usr/share/pitivi/python/pitivi/factories/base.py", line 534, in makeBin
    bin = self._makeBin(input_stream)
  File "/usr/share/pitivi/python/pitivi/encode.py", line 185, in _makeBin
    rb = self.renderfactory.makeBin()
  File "/usr/share/pitivi/python/pitivi/factories/base.py", line 625, in makeBin
    bin = self._makeBin(input_stream)
  File "/usr/share/pitivi/python/pitivi/encode.py", line 126, in _makeBin
    b2 = EncoderFactory(setting).makeBin()
  File "/usr/share/pitivi/python/pitivi/factories/base.py", line 625, in makeBin
    bin = self._makeBin(input_stream)
  File "/usr/share/pitivi/python/pitivi/encode.py", line 62, in _makeBin
    mod.link(enc)
LinkError: failed to link bin14 with ffenc_flashsv0

Local variables in innermost frame:
b: <gst.Bin object (bin13) at 0xa34289c>
filt: <pitivi.factories.operation.VideoModifierFactory object at 0xa34430c>
self: <pitivi.encode.EncoderFactory object at 0xa34428c>
args: (None,)
s: <pitivi.settings.StreamEncodeSettings object at 0xa3356ac>
enc: <__main__.ffenc_flashsv object (ffenc_flashsv0) at 0xa342acc>
mod: <gst.Bin object (bin14) at 0xa342a7c>
Comment 1 Sergey Raspopov 2010-05-01 13:04:19 EDT
Created attachment 410714 [details]
File: backtrace
Comment 2 Fedora Admin XMLRPC Client 2010-08-21 20:54:02 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Hicham HAOUARI 2010-11-30 12:01:32 EST
Please retest with 0.13.5, and give the steps required to reproduce this bug.
Comment 4 Bug Zapper 2011-06-02 10:38:20 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora Admin XMLRPC Client 2011-06-20 16:56:03 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Admin XMLRPC Client 2011-06-20 16:57:38 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora Admin XMLRPC Client 2011-06-20 17:05:19 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Bug Zapper 2011-06-27 12:00:47 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.